#!/usr/bin/perl
##
# restore IP aliases
#
# Move alias interface configuration files
# from backup folder to network-scripts folder
# and bring up alias interfaces
#
##

use File::Copy;

addlog($0);
my $net_dir = '/etc/sysconfig/network-scripts';
my $backup_dir = "$net_dir/aliases_backup";

my @files = split(/\n+/, `ls $backup_dir/ifcfg-eth[01]:* 2>/dev/null`);

if (!@files) {
	addlog("no alias files found in $backup_dir/");
	exit;
}

foreach my $file (@files) {
	if (!move("$file", "$net_dir/")) {
		addlog("failed to move $file -> $net_dir/: $!");
		next;
	}
	$file =~ s/^$backup_dir\///;
	if (system("$net_dir/ifup $file")) {
		addlog("failed to bring up $file interface: $!");
		if (!move("$net_dir/$file", "$backup_dir/")) {
			addlog("failed to move $net_dir/$file -> $backup_dir/: $!");
		}
	}
	addlog("$file restored");
}

sub addlog {
    my $msg = shift;

    open(FH, '>>/tmp/restore_ip_aliases.log');
    print FH localtime() . ": $$: $msg\n";
    close(FH);
}

